efl::eina::thread_id Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Friends
efl::eina::thread_id Struct Reference
Eina C++ » Tools » Thread Eina C++ » | Tools

Thread identifier. More...

## Public Member Functions
| thread_id () noexcept
| Creates a `thread_id` that represents all non-joinable.
| thread_id (Eina_Thread raw)

## Friends
bool | operator== (thread_id lhs, thread_id rhs)
| Check if two thread identifiers are the same. More...
bool | operator!= (thread_id lhs, thread_id rhs)
| Check if two thread identifiers are different. More...
bool | operator< (thread_id lhs, thread_id rhs)
| Less than comparison of thread identifiers. More...
template<typename charT , typename Traits >
std::basic_ostream< charT, Traits > & | operator<< (std::basic_ostream< charT, Traits > &out, thread_id id)
| Inserts a textual representation in the given stream. More...

## Detailed Description

Thread identifier.

## Friends And Related Function Documentation

bool operator== | ( | thread_id | lhs,
|  | thread_id | rhs
| ) |  |
| friend

Check if two thread identifiers are the same.

Returns
  `true` if the thread identifiers have the same value.

bool operator!= | ( | thread_id | lhs,
|  | thread_id | rhs
| ) |  |
| friend

Check if two thread identifiers are different.

Returns
  `true` if the thread identifiers have different values.

bool operator< | ( | thread_id | lhs,
|  | thread_id | rhs
| ) |  |
| friend

Less than comparison of thread identifiers.

Parameters

  lhs | `thread_id` at the left side of the expression.
  rhs | `thread_id` at the right side of the expression.

Returns
  `true` if `lhs` is less than `rhs`, `false` otherwise.

Note
  The order established by relational operators is implementation-defined.

template<typename charT , typename Traits >

std::basic_ostream<charT, Traits>& operator<< | ( | std::basic_ostream< charT, Traits > & | out,
|  | thread_id | id
| ) |  |
| friend

Inserts a textual representation in the given stream.

Parameters

  out | Output stream where the textual representation will be inserted.
  id | `thread_id` object.

Returns
  Reference to the modified `std::basic_ostream` object.